﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PushPlatform.Common.Model
{
    public class APIResult<T>
    {
        /// <summary>
        /// 操作结果 1=成功，0=失败，2=询问
        /// </summary>
        public int Result { get; set; }

        /// <summary>
        /// 错误信息
        /// </summary>
        public string Msg { get; set; }

        /// <summary>
        /// 0-常规错误，1-异常错误
        /// </summary>
        public int code { get; set; }

        /// <summary>
        /// 返回数据
        /// </summary>
        public T Data { get; set; }
    }
}
